Rate_ctr

## Data Structures

struct | vty_out_context

## Functions

static int | rate_ctr_handler (struct rate_ctr_group *ctrg, struct rate_ctr *ctr, const struct rate_ctr_desc *desc, void *vctx_)
void | vty_out_rate_ctr_group (struct vty *vty, const char *prefix, struct rate_ctr_group *ctrg)
| print a rate counter group to given VTY More...
static int | osmo_stat_item_handler (struct osmo_stat_item_group *statg, struct osmo_stat_item *item, void *vctx_)
void | vty_out_stat_item_group (struct vty *vty, const char *prefix, struct osmo_stat_item_group *statg)
| print a stat item group to given VTY More...
static int | osmo_stat_item_group_handler (struct osmo_stat_item_group *statg, void *vctx_)
static int | rate_ctr_group_handler (struct rate_ctr_group *ctrg, void *vctx_)
static int | handle_counter (struct osmo_counter *counter, void *vctx_)
void | vty_out_statistics_full (struct vty *vty, const char *prefix)
char * | vty_cmd_string_from_valstr (void *ctx, const struct value_string *vals, const char *prefix, const char *sep, const char *end, int do_lower)
| Generate a VTY command string from value_string.

## Detailed Description

## Function Documentation

void vty_out_rate_ctr_group | ( | struct vty * | vty,
|  | const char * | prefix,
|  | struct rate_ctr_group * | ctrg
| ) |  |

print a rate counter group to given VTY

Parameters

  [in] | vty | The VTY to which it should be printed
  [in] | prefix | Any additional log prefix ahead of each line
  [in] | ctrg | Rate counter group to be printed

References vty_out().

void vty_out_stat_item_group | ( | struct vty * | vty,
|  | const char * | prefix,
|  | struct osmo_stat_item_group * | statg
| ) |  |

print a stat item group to given VTY

Parameters

  [in] | vty | The VTY to which it should be printed
  [in] | prefix | Any additional log prefix ahead of each line
  [in] | statg | Stat item group to be printed

References vty_out().